Autor Zpráva
Husky
Profil *
Ahoj, potřeboval bych poradit, už nevím co ještě zkusit, nebo jaký řetězec zadat do googlu:-)
Po instalaci apache a php vše funguje bez problému, ale phpmyadmin potřebuje extension php_mcrypt.dll, který fyzicky mám ve složce ext a nakopírovaný ve windows/system32.
v php.ini je odkomentovaný a cesta k extensions nastavena dobře :-(
Přes toto všechno při restartu, nebo spuštění apache vyskočí popup s hláškou :
PHP Startup:Unable to load dynamic library C:/(cesta k extensions)/php_mcrypt.dll - The specified module could not be found.
Dále vše normálně naběhne, ale nenačte se zmiňovaná knihovna.Všechny ostatní, které jsem odkomentoval, tak fungují bez problému.
ještě jsem vygooglil, že mám nakopírovatř do system32 knihovnu libmcrypt.dll. - NEPOMOHLO!


Máte někdo zkušenosti, nebo nějkou radu s tímto problémem?

Předem mnohokrát děkuji
fuckin
Profil
Ano, libmcrypt.dll je potřeba. Ale myslím že by se to mělo dát do extensions a povolit v php.ini.

Pokud i tak máš stále problémy, řešil bych to instalací nějakého "vybavenějšího" serveru.
Husky
Profil *
fuckin:
Ahoj, děkuji za odpověď, ale v php.ini je to přidané, nezakomentované a ve složce extensions fyzicky všechny knihovny jsou.
Vybavenější server?No řekl bych že to s apachem nemá nic moc společného, jen samotné php... btw zkusil jsem asi 6 různých verzí a ve všech to dělá to samé:-(
Domníval jsem se že by ta khnihovna mohla být zkompilovaná pro jinou verzi php, ale když to nejde na žádné?... fakt nevíím...:-(
btw: výpis z php.ini

extension=php_bz2.dll
extension=php_curl.dll
;extension=php_dba.dll
;extension=php_exif.dll
;extension=php_fileinfo.dll
extension=php_gd2.dll
;extension=php_gettext.dll
;extension=php_gmp.dll
extension=php_mcrypt.dll
;extension=php_intl.dll
extension=php_imap.dll
;extension=php_interbase.dll
;extension=php_ldap.dll
extension=php_mbstring.dll
;extension=php_ming.dll
;extension=php_mssql.dll
extension=php_mysql.dll
extension=php_mysqli.dll
;extension=php_oci8.dll ; Use with Oracle 10gR2 Instant Client
;extension=php_oci8_11g.dll ; Use with Oracle 11g Instant Client
;extension=php_openssl.dll
;extension=php_pdo_firebird.dll
;extension=php_pdo_mssql.dll
;extension=php_pdo_mysql.dll
;extension=php_pdo_oci.dll
;extension=php_pdo_odbc.dll
;extension=php_pdo_pgsql.dll
;extension=php_pdo_sqlite.dll
;extension=php_pgsql.dll
;extension=php_phar.dll
;extension=php_pspell.dll
;extension=php_shmop.dll
;extension=php_snmp.dll
;extension=php_soap.dll
;extension=php_sockets.dll
;extension=php_sqlite.dll
;extension=php_sqlite3.dll
;extension=php_sybase_ct.dll
;extension=php_tidy.dll
;extension=php_xmlrpc.dll
extension=php_xsl.dll
extension=php_zip.dll
fuckin
Profil
Zkus easyPHP. A neříkej mě, že phpmyadmin nejede na všech serverech co jsi zkoušel :-). Nejzákladnější program.
Gold-Files
Profil *
ahoj, hele zkus si stáhnout ještě php_mcrypt_filter.dll a hoď to do EXT ve složce php a zapiš to i do php.ini mě php my admin bez toho taky blbnul tak sem si to vykradl z jinýho apache kterej byl pro WoW server a ty se upravujou na míru

Vaše odpověď

Mohlo by se hodit


Prosím používejte diakritiku a interpunkci.

Ochrana proti spamu. Napište prosím číslo dvě-sta čtyřicet-sedm:

0